<?php

defined('IN_HS') or exit('Access Denied');

$channelid = intval($channelid);
$channelid or showmessage($LANG['illegal_parameters'],$referer);

require_once HS_ROOT."/include/tree.class.php";
$tree = new tree();

require_once MOD_ROOT."/include/picture.class.php";
$pictureid = isset($pictureid) ? intval($pictureid) : 0;
$pic = new picture($channelid);
if($pictureid) $pic->pictureid = $pictureid;

$catid = isset($catid) ? intval($catid) : 0;
if($catid) $CAT = cache_read('category_'.$catid.'.php');

$pagesize = isset($pagesize) && $pagesize<500 ? intval($pagesize) : $HS['pagesize'];

$submenu = array(
	array("&nbsp;&nbsp;&nbsp;<input class=btn type=button value=' Ìí ¼Ó ' onclick=window.location='?mod=$mod&file=$file&action=main&channelid=$channelid'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input class=btn type=button value=' ¹Ü Àí ' onclick=window.location='?mod=$mod&file=$file&action=manage&channelid=$channelid'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input class=btn type=button value=' Éó ºË ' onclick=window.location='?mod=$mod&file=$file&action=manage&job=check&channelid=$channelid'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input class=btn type=button value=' »Ø ÊÕ Õ¾ ' onclick=window.location='?mod=$mod&file=$file&action=manage&job=recycle&channelid=$channelid'>","#"),

);

$menu = adminmenu($LANG['picture_manage'],$submenu);
$action = $action ? $action : 'main';
include MOD_ROOT.'/admin/'.$mod.'_'.$action.".inc.php";
?>